-- SQL script for creation of attachment database in Oracle

/*
PREPARATION

sudo -u postgres -i

DROP DATABASE attachments;
DROP ROLE attachments;


CREATE ROLE attachments LOGIN
 PASSWORD 'attachment' 
 NOSUPERUSER NOINHERIT NOCREATEDB NOCREATEROLE;

CREATE DATABASE attachments
	   OWNER attachments
	   ENCODING = 'UTF8'
	   TEMPLATE=template0;
*/



CREATE SEQUENCE  seq_attachments;

CREATE TABLE attachments
(
  id               Integer NOT NULL,
  contenttype   varchar2 (255),
  dt_ins		   Timestamp NOT NULL ,
  data             blob,
  primary key (id)
);
