-- SQL script for creation of attachment database in MySql
--


/*
PREPARATION

mysql -u root -p

CREATE DATABASE IF NOT EXISTS attachments CHARACTER SET = 'UTF8';
CREATE USER attachments IDENTIFIED BY 'attachments';


*/

CREATE TABLE attachments
(
  id               Bigint(20) NOT NULL AUTO_INCREMENT,
  contenttype      varchar(255),
  dt_ins           Datetime NOT NULL,
  data             LONGBLOB,
  Primary Key (id)
) ENGINE = InnoDB;


/* 
 POSTPARATION :)

GRANT SELECT, INSERT, DELETE, UPDATE ON attachments.attachments TO attachments;

*/